Bug 737689 - GLib-GIO-ERROR **: Settings schema 'org.gnome.power-manager' does not contain a key named 'spindown-enable-ac'
Summary: GLib-GIO-ERROR **: Settings schema 'org.gnome.power-manager' does not contain...
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-power-manager
Version: 16
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Richard Hughes
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-12 21:35 UTC by Mads Kiilerich
Modified: 2011-09-22 22:31 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-09-22 22:31:53 UTC


Attachments (Terms of Use)

Description Mads Kiilerich 2011-09-12 21:35:05 UTC
/usr/share/GConf/gsettings/org.gnome.power-manager.gschema.migrate has:

[org.gnome.power-manager]
...
spindown-enable-ac = /apps/gnome-power-manager/disks/spindown_enable_ac

- but there is apparently no spindown-enable-ac in gsettings:

$ /usr/bin/gsettings-data-convert 

(gsettings-data-convert:1793): GLib-GIO-WARNING **: g_settings_set_value: value
for key 'default-folder-viewer' in schema 'org.gnome.nautilus.preferences' is
outside of valid range

GLib-GIO-ERROR **: Settings schema 'org.gnome.power-manager' does not contain a
key named 'spindown-enable-ac'

(and then it dumps core which I assume is a different issue - see bug 709797)


This happens on a live cd where I have:
gconftool-2 --direct --config-source=xml:readwrite:/etc/gconf/gconf.xml.defaults -s -t bool /apps/gnome-power-manager/disks/spindown_enable_ac true


gnome-power-manager-3.1.3-1.fc16.x86_64
GConf2-3.1.90-1.fc16.x86_64

Comment 1 Richard Hughes 2011-09-13 08:02:05 UTC
Fixed in 3.1.90

Comment 2 Mads Kiilerich 2011-09-13 09:58:14 UTC
Will the f16 package be updated to this 3.2-ish version?

Comment 3 Richard Hughes 2011-09-13 10:09:49 UTC
It's already in stable:

https://admin.fedoraproject.org/updates/FEDORA-2011-2040

Comment 4 Mads Kiilerich 2011-09-13 10:56:39 UTC
Aaahaa.

It is however not in f16 - nothing has been build/pushed there since it was called rawhide:

Name        : gnome-power-manager
Version     : 3.1.3
Release     : 1.fc16
Source RPM  : gnome-power-manager-3.1.3-1.fc16.src.rpm
Build Date  : Tue 26 Jul 2011 04:10:53 AM CEST

Comment 5 Richard Hughes 2011-09-13 11:57:16 UTC
It's in the update, and the update is marked as stable. I'm really don't think I can do anything more to persuade bodhi to actually push the package. I think you need to talk to Fedora release engineering to work out what's going wrong. I'm out of my depth already. Thanks.

Comment 6 Mads Kiilerich 2011-09-13 20:47:13 UTC
(In reply to comment #1)
> Fixed in 3.1.90

ok, http://koji.fedoraproject.org/koji/buildinfo?buildID=261120 is gnome-power-manager-3.1.90-1.fc16

(In reply to comment #3)
> https://admin.fedoraproject.org/updates/FEDORA-2011-2040

That one only lists the old gnome-power-manager-2.91.90-1.fc15.

https://admin.fedoraproject.org/updates/gnome-power-manager doesn't list any f16 updates - and thus not gnome-power-manager-3.1.90-1.fc16.

Did you forget to push it?

Comment 7 Mads Kiilerich 2011-09-13 20:54:34 UTC
# rpm -Uhv gnome-power-manager-3.1.90-1.fc16.x86_64.rpm 
Preparing...                ########################################### [100%]
   1:gnome-power-manager    ########################################### [100%]
/var/tmp/rpm-tmp.mtzAD9: line 2: [: missing `]'

- because:

# rpm -q --scripts gnome-power-manager-3.1.90-1.fc16
postuninstall scriptlet (using /bin/sh):
update-desktop-database /usr/share/applications &> /dev/null || :
if [ $1 -eq 0]; then
...

a space is missing...

Comment 8 Richard Hughes 2011-09-14 09:56:50 UTC
(In reply to comment #7)
> a space is missing...

I'm just building gnome-power-manager-3.1.90-2.fc16 -- can you try with that please? Thanks.

Comment 9 Mads Kiilerich 2011-09-14 10:10:34 UTC
The bug was in postuninstall, so I see the error from the -1 scriptlet when I install -2. A forced downgrade from -2 to -1 is however clean, so the new scriptlet part seems fine to me.

Comment 10 Mads Kiilerich 2011-09-15 21:07:11 UTC
Please remember to push it to f16-testing so it can get in after the beta ... or as a 0-day update.

Comment 11 Mads Kiilerich 2011-09-22 22:31:53 UTC
3.1.92-1 is in -testing. This issue is not referenced in bodhi, so I will close it immediately.


Note You need to log in before you can comment on or make changes to this bug.